# InvAD

> [Learning Feature Inversion for Multi-class Anomaly Detection under General-purpose COCO-AD Benchmark](https://arxiv.org/abs/2404.10760) </br>
> [**Paper**]() | [**Project**](https://zhangzjn.github.io/projects/InvAD) | [**Code**](https://github.com/zhangzjn/ader/configs/invad)

## MUAD Results, Models, and Logs

|                    Dataset                     | mAU-ROC<sub>I</sub> | mAP<sub>I</sub> | m*F*1-max<sub>I</sub> |<span style="color:red">mAU-PRO<sub>R</sub></span> | mAU-ROC<sub>P</sub> | mAP<sub>P</sub> | m*F*1-max<sub>P</sub> | m*F*1<sub>P/.2/.8</sub> | mAcc<sub>P/.2/.8</sub> |mIoU<sub>P/.2/.8</sub> | <span style="color:red">mIoU-max<sub>P</sub></span> | <span style="color:red">mAD<sub>I</sub></span> | <span style="color:red">mAD<sub>P</sub></span> | <span style="color:red">mAD<sub>.2/.8</sub></span>| <span style="color:red">mAD</span> |                                                                            <span style="color:blue">Download</span>                                                                            |
|:----------------------------------------------:|:-------------------:|:---------------:|:---------------------:|:-------------------:|:---------------:|:---------------------:|:----------------:|:-----------------------:|:--------:|:--------:|:--------:|:--------:|:--------:|:--------:|:--------:|:----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------:|
|      [MVTec AD](data/README.md/###MVTec)       |        98.9         | 99.6 | 98.1 | 94.1 | 98.2 | 57.6 | 60.1 |          34.6           | 46.9 | 23.0 | 43.7 | 98.9 | 72.0 | 34.8 | 86.7| [log](https://drive.google.com/file/d/1rSBaQfn2DCWq2Ds75_kcsjiBiF1sT4U4/view?usp=drive_link) & [weight](https://drive.google.com/file/d/1Dg67j-dTkQK_z6mr9ScwW4t4ONEyqWpQ/view?usp=drive_link) |
|         [VisA](data/README.md/###VisA)         |        95.5         | 95.8 | 92.1 | 92.5 | 98.9 | 43.1 | 47.0 |          28.0           | 45.6 | 17.9 | 32.7 | 94.5 | 63.0 | 30.5 | 80.7| [log](https://drive.google.com/file/d/1f6_S3wcD-KJX-tiluPgTRkQXfRKuGeKD/view?usp=drive_link) & [weight](https://drive.google.com/file/d/1i2INJXWUohF_PM2ySz-Uztf3JiOu57aq/view?usp=drive_link)  |
|      [COCO-AD](data/README.md/###COCO-AD)      |        65.9         | 57.8 | 64.1 | 44.9 | 73.2 | 19.7 | 25.4 |          12.4           | 37.5 | 7.1 | 15.2 | 62.6 | 39.4 | 19.0 | 50.1|           [log](https://drive.google.com/drive/folders/1D9MFsUOJBHPvEKY2ZR6eAw4VzvbQ0XkF?usp=sharing) & [weight]()           |
| [MVTec 3D-AD (RGB)](data/README.md/###MVTec3D) |        86.1 | 95.8 | 93.2 | 94.7 | 98.8 | 37.8 | 42.5 | 22.0 | 50.5 | 13.2 | 27.5 | 91.7 | 59.7 | 28.6 | 78.4 | [log](https://drive.google.com/file/d/1je5NFQ1C5vLIEv_p7XgZM7d2kRCT5yyO/view?usp=drive_link) & [weight](https://drive.google.com/file/d/1Icf0PLkKEWEridPb1Pn5D-qF76YCPE7O/view?usp=drive_link) |
|     [Real-IAD](data/README.md/###Real-IAD)     |        89.0 |	86.4 |	79.6 |	98.4 |	30.7 |	37.6 |	91.9 |	17.7 |	36.1 |	10.4 |	23.5 |	85.0 |	53.4 |	21.4 |	73.4  |                                     [log](https://drive.google.com/file/d/1lquuvY4MbGm5ZJrzdF0iZGzOkG89GEpS/view?usp=sharing) & [weight](https://drive.google.com/file/d/1B62_FZOvcdpjb0o3AOlcXb6cGrSWk0vt/view?usp=sharing)                                      |
|   [Uni-Medical](data/README.md/###Uni-Medical)    |        82.2 |      	79.6      |	80.6 |	97.4 |	47.5 |	47.1 |	89.6 |	21.8 |	45.2 |	13.8 |	33.3 |                      80.8                      |                      61.4                      |                        26.9                        |                74.9                |                                           [log](https://drive.google.com/file/d/1lKlKfsx3xQQM0u7nkxp9GreEGaSv8m34/view?usp=sharing) & [weight](https://drive.google.com/file/d/1jwd3ly9OXFDwZR7DMH067fRjOZVXauTY/view?usp=sharing)                                           |

## MUAD Results, Models, and Logs (InvAD-lite)
|                    Dataset                     | mAU-ROC<sub>I</sub> | mAP<sub>I</sub> | m*F*1-max<sub>I</sub> |<span style="color:red">mAU-PRO<sub>R</sub></span> | mAU-ROC<sub>P</sub> | mAP<sub>P</sub> | m*F*1-max<sub>P</sub> | m*F*1<sub>P/.2/.8</sub> | mAcc<sub>P/.2/.8</sub> |mIoU<sub>P/.2/.8</sub> | <span style="color:red">mIoU-max<sub>P</sub></span> | <span style="color:red">mAD<sub>I</sub></span> | <span style="color:red">mAD<sub>P</sub></span> | <span style="color:red">mAD<sub>.2/.8</sub></span>| <span style="color:red">mAD</span> |                                                                            <span style="color:blue">Download</span>                                                                            |
|:----------------------------------------------:|:-------------------:|:---------------:|:---------------------:|:-------------------:|:---------------:|:---------------------:|:----------------:|:-----------------------:|:--------:|:--------:|:--------:|:--------:|:--------:|:--------:|:--------:|:----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------:|
|      [MVTec AD](data/README.md/###MVTec)       |        98.2 |	99.2 |	97.2 |	97.3 |	55.0 |	58.1 |	92.7 |	32.6 |	47.1 |	21.3 |	41.7  |                      98.2                      |                      68.6                      |                        33.7                        |                85.4                |                                           [log](https://drive.google.com/file/d/1fxqUXJXqlAe2vJQboz-zf_HNTtsFYHNZ/view?usp=sharing) & [weight](https://drive.google.com/file/d/1aUxUIP3RSNArfij-rSQeKfEVaKhTMzyP/view?usp=sharing)                                           |
|         [VisA](data/README.md/###VisA)         |        94.9 |	95.2 |	90.8 |	98.6 |	40.3 |	44.3 |	92.5 |	25.8 |	44.2 |	16.1 |	30.0  |                      93.6                      |                      59.0                      |                        28.7                        |                79.5                |                                           [log](https://drive.google.com/file/d/1m5RAQgQJHKG-0751DLPQOYC7yUjDk4Lg/view?usp=sharing) & [weight](https://drive.google.com/file/d/1fiX0lIWO0Kd_PX3PGN36VbHnH35CzPfG/view?usp=sharing)                                           |
|      [COCO-AD](data/README.md/###COCO-AD)      |        64.7 |	56.7 |	63.5 |	70.5 |	18.3 |	23.4 |	38.2 	|     11.2 	      |34.2 |	6.4 |	13.8     |                      61.6                      |                      26.6                      |                        17.3                        |                47.9                |                                         [log](https://drive.google.com/drive/folders/1dsKrGOXP7Npt95GDfhuxv0cADUEnn0cX?usp=sharing) & [weight]()                                         |
| [MVTec 3D-AD (RGB)](data/README.md/###MVTec3D) |        85.3 |	95.2 |	93.0 |	98.6 |	37.2 |	41.4 |	94.1 |	21.6 |	55.3 |	12.9 |	26.5  |                      91.2                      |                      57.6                      |                        30.0                        |                77.8                |                                           [log](https://drive.google.com/file/d/1Dr_M0uzuMuW4JbrZCMobcjV8o3JIevhg/view?usp=sharing) & [weight](https://drive.google.com/file/d/1nYuPTgectAUIpXNB3PgGEWZz1sda2F51/view?usp=sharing)                                           |
|     [Real-IAD](data/README.md/###Real-IAD)     |        87.2 |	85.1 |	77.8 |	98.1 |	31.6 |	37.9 |	91.6 |	17.6 |	36.8 |	10.3 |	23.7 |	83.3 |	53.7 |	21.6 |	72.7  |                                     [log](https://drive.google.com/file/d/1ftzREsAY7iZwDsqQVfDbL_4Yq7DEa4Bn/view?usp=sharing) & [weight](https://drive.google.com/file/d/1G0Wsnai0gbQZPX6lk-dSJ8WXu8nNCCuH/view?usp=sharing)                                      |
|   [Uni-Medical](data/README.md/###Uni-Medical)    |        79.5 |	78.3 |	79.1 |	96.4 |	40.1 |	40.4 |	85.5 	|      18.3       |	40.5 |	11.2 |	27.6 |                      79.0                      |                      55.3                      |                        23.3                        |                71.3                |                                           [log](https://drive.google.com/file/d/1MU9vDqt02W7c6pq46jKYiajXLEe2HRqJ/view?usp=sharing) & [weight](https://drive.google.com/file/d/1BSnOEyS6Dr9PTYtBQYziwnsuOw6fdNIH/view?usp=sharing)                                           |


## Citation
```angular2html
@article{invad,
  title={Learning Feature Inversion for Multi-class Anomaly Detection under General-purpose COCO-AD Benchmark},
  author={Jiangning Zhang and Chengjie Wang and Xiangtai Li and Guanzhong Tian and Zhucun Xue and Yong Liu and Guansong Pang and Dacheng Tao},
  journal={arXiv preprint arXiv:2404.10760},
  year={2024}
}
```
